php-wikidiff2_1.7.3-1_amd64.deb


Advertisement

Description

php-wikidiff2 - external diff engine for mediawiki

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename php-wikidiff2_1.7.3-1_amd64.deb
Package name php-wikidiff2
Package version 1.7.3
Package release 1
Package architecture amd64
Package type deb
Category universe/web
Homepage https://www.mediawiki.org/wiki/Extension:Wikidiff2
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 52.01 KB
Installed size 171.00 KB
Wikidiff2 is a PHP module providing external diff
engine for MediaWiki. It performs word-level
(space-delimited) diffs on general text, and
character-level diffs on text composed of characters
from the Japanese and Thai alphabets and the unified han.

Alternatives

Package Version Architecture Repository
php-wikidiff2_1.7.3-1_i386.deb 1.7.3 i386 Ubuntu Universe
php-wikidiff2 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 4.9
libthai0 >= 0.1.12
php -
php-cli -
php-common >= 1:7.0+33~
phpapi-20170718 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-wikidiff2_1.7.3-1_amd64.deb
Source Package wikidiff2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-wikidiff2 deb package:
    # sudo apt-get install php-wikidiff2

Files

Path
/etc/php/7.2/mods-available/wikidiff2.ini
/usr/lib/php/20170718/wikidiff2.so
/usr/share/doc/php-wikidiff2/README.gz
/usr/share/doc/php-wikidiff2/changelog.Debian.gz
/usr/share/doc/php-wikidiff2/copyright

Changelog

2018-11-01 - Kunal Mehta <legoktm@debian.org>
wikidiff2 (1.7.3-1) unstable; urgency=medium
* New upstream version 1.7.3
* Use HTTPS for some URLs
* Standards-Version: 4.2.1, no changes needed
2018-07-21 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.7.2-1) unstable; urgency=medium
* New upstream version 1.7.2
* Standards-Version: 4.1.5
2018-06-22 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.7.1-1) unstable; urgency=medium
* New upstream version 1.7.1
* Use HTTPS format in d/copyright
2018-05-16 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.7.0-1) unstable; urgency=medium
* New upstream version 1.7.0
* Fix build issues with GCC 8 (Closes: #897887)
2018-05-06 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.6.0-2) unstable; urgency=medium
* Update Maintainer email to <mediawiki-debian@lists.wikimedia.org>
* Standards-Version: 4.1.4
2018-04-04 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.6.0-1) unstable; urgency=medium
* Update upstream signing key
* New upstream version 1.6.0
2018-02-28 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.5.1-5) unstable; urgency=medium
* Have dh_auto_test fail when tests fail
2018-01-31 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.5.1-4) unstable; urgency=medium
* Update Vcs-* control fields for move to salsa.debian.org
* Make sure CI fails if a test fails
* Bump Standards-Version to 4.1.3
2017-12-04 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.5.1-3) unstable; urgency=medium
* Rules-Requires-Root: no
* Use dh_php to install the wikidiff2.ini file
* Update to debhelper compat 10
2017-11-26 - Kunal Mehta <legoktm@member.fsf.org>
wikidiff2 (1.5.1-2) unstable; urgency=medium
* Run tests via autopkgtest
* Add "Enhances: mediawiki", drop Recommends

See Also

Package Description
php-xajax_0.5-2_all.deb A library to develop Ajax applications
php-xdebug_2.7.0~rc2+2.6.1+2.5.5-1_amd64.deb Xdebug Module for PHP
php-xml-htmlsax3_3.0.0+really3.0.0-3_all.deb SAX parser for HTML and other badly formed XML documents
php-xml-rpc2_1.1.3-0.1_all.deb PHP XML-RPC client/server library
php-xml-svg_1.1.0-2_all.deb XML_SVG API
php-yac_2.0.2+0.9.2-4_amd64.deb YAC (Yet Another Cache) for PHP
php-yaml_2.0.2+1.3.1-4_amd64.deb YAML-1.1 parser and emitter for PHP
php-zend-code_3.3.1-1_all.deb Zend Framework - Code component
php-zend-eventmanager_3.2.1-1_all.deb Zend Framework - EventManager component
php-zend-stdlib_3.2.1-1_all.deb Zend Framework - Stdlib component
php-zeroc-ice_3.7.2-4_amd64.deb PHP extension for Ice
php-zeta-base_1.9.1-1_all.deb Zeta Components - Base package
php-zeta-console-tools_1.7-4_all.deb Zeta Components - ConsoleTools package
php-zeta-unit-test_1.0.2-4ubuntu1_all.deb Zeta Components - UnitTest package
php-zip_7.2+69ubuntu1_all.deb Zip module for PHP [default]
Advertisement
Advertisement